<section class="section-light">
  <div class="container">
    <h3 class="feature-h text-center"><?php echo e("Report") ?></h3>
    <ol class="breadcrumb justify-content-center">
      <li><a href="<?php echo url("") ?>"><?php echo e("Home") ?></a></li>
      <li class="active"><?php echo e("Report Link") ?></li>
    </ol>   
  </div>
</section>
<section class="slice slice-lg bg-section-secondary" id="sct-form-contact">
    <div class="container position-relative zindex-100">
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="centered form">                    
                    <form id="form-contact" method="post" class="live_form" action="<?php echo route('report.send') ?>" data-trigger="server-form">
                        <h3><?php echo e("Report Link") ?></h3>
                        <p><?php echo e("Please report a link that you consider risky or dangerous. We will review all cases and take measure to remove the link."); ?></p>
                        <div class="form-group">
                            <label class="form-control-label" for="contact-email"><?php ee("Email") ?> <span class="text-danger">*</span></label>
                            <input class="form-control form-control-lg" type="email" placeholder="<?php ee("Email") ?>" name="email" id="contact-email" value="<?php echo \Core\Auth::logged() ? \Core\Auth::user()->email : '' ?>" data-error="<?php ee('Please enter a valid email.') ?>" required>
                        </div>   
                        <div class="form-group">
                            <label class="form-control-label" for="contact-link"><?php ee("Short Link") ?> <span class="text-danger">*</span></label>
                            <input class="form-control form-control-lg" type="text" placeholder="<?php ee("Please enter a valid short link") ?>" id="contact-link" name="link" value="" data-error="<?php ee('Please enter a valid link.') ?>" required>
                        </div>                
                        <div class="form-group">
                            <label class="form-control-label" for="contact-reason"><?php ee("Reason") ?> <span class="text-danger">*</span></label>
                            <select name="reason" id="contact-reason" class="form-control">
                                <option value="spam"><?php echo e("Spam") ?></option>
                                <option value="fraudulent"><?php echo e("Fraudulent") ?></option>
                                <option value="malicious"><?php echo e("Malicious") ?></option>
                                <option value="phishing"><?php echo e("Phishing") ?></option>
                            </select>
                        </div>
                        <?php echo \Helpers\Captcha::display() ?>
                        <div class="text-center">
                            <?php echo csrf() ?>
                            <button type="submit" class="btn btn-block btn-lg btn-primary mt-4"><?php ee('Send') ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>