<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".sidebar" aria-expanded="false" aria-label="Toggle navigation">
    <span class="fa fa-bars"></span>
</button>

<ul class="nav col-12 col-lg-auto ms-lg-auto mb-2 justify-content-center mb-md-0 me-3">
    <?php if(config("user") && !config("private") && !config("maintenance") && config("pro")): ?>
        <li><a class="nav-link px-2 ms-3 link-dark" href="<?php echo route("pricing") ?>"><?php echo e("Pricing") ?></a></li>
    <?php endif ?>
    <?php if(config("blog")): ?>
        <li><a class="nav-link px-2 ms-3 link-dark" href="<?php echo route("blog") ?>"><?php ee("Blog") ?></a></li>
    <?php endif ?>	   
    <?php if(!\Core\Auth::logged()): ?>   
        <li><a class="nav-link px-2 ms-3 link-dark" href="<?php echo route("login") ?>"><?php ee("Login") ?></a></li>
        <?php if(config("user") && !config("private") && !config("maintenance")): ?>
            <li><a class="nav-link px-2 ms-3 link-dark active" href="<?php echo route("user/register") ?>"><?php ee("Get Started") ?></a></li>
        <?php endif ?>
    <?php else: ?>
        <?php if($user->admin): ?>
            <li><a class="nav-link px-2 ms-3 link-dark active" href="<?php echo route("admin") ?>"><?php ee("Admin") ?></a></li>
        <?php endif ?>    
    <?php endif ?>
    <li class="dropdown ms-3 text-end">
        <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" id="dropmenu" data-bs-toggle="dropdown" aria-expanded="false">
            <img src="<?php echo $user->avatar() ?>" width="32" class="rounded-circle" alt="<?php echo e("My Account") ?>">
        </a>
        <ul class="dropdown-menu" aria-labelledby="dropmenu">
            <?php if($user->username): ?>
            <li><a class="dropdown-item text-small" href="<?php echo route("profile", [$user->username]) ?>"><i class="me-2 fa fa-user"></i> <?php echo e("Public Profile") ?></a></li>
            <?php endif ?>
            <?php if(config('pro')): ?>
            <li><a class="dropdown-item text-small" href="<?php echo route("billing") ?>"><i class="me-2 fa fa-credit-card"></i> <?php echo e("Billing") ?></a></li>
            <?php endif ?>
            <?php if(config('affiliate')->enabled): ?>
            <li><a class="dropdown-item text-small" href="<?php echo route("user.affiliate") ?>"><i class="me-2 fa fa-box"></i> <?php echo e("Affiliate") ?></a></li>
            <?php endif ?>
            <?php if($user->has('api')): ?>
            <li><a class="dropdown-item text-small" href="<?php echo route("tools") ?>"><i class="me-2 fa fa-terminal"></i> <?php echo e("Developer Tools") ?></a></li>
            <?php endif ?>
            <li><a class="dropdown-item text-small" href="<?php echo route("settings") ?>"><i class="me-2 fa fa-cog"></i> <?php echo e("Settings") ?></a></li>
            <li><a class="dropdown-item text-small" href="<?php echo route("logout") ?>"><i class="me-2 fa fa-sign-out-alt"></i> <?php echo e("Logout") ?></a></li>
        </ul>    
    </li>
</ul>