<section class="section-plan">
    <div class="container position-relative zindex-100 pricing-container">
        <div class="row mt-0">
            <div class="col-lg-12 mx-auto">        
                <div class="feature-h text-center">
                    <h1><?php echo e("Simple & Transparent Pricing.") ?></h1>
                    <p class="subtitle"><?php echo e("Know what you pay with our clear pricing structure. No hidden fees.") ?></p>     
                    <div class="pricing-container">
                        <div class="text-center mb-7">
                            <div class="btn-group" role="group" aria-label="Pricing">
                                <?php if($settings['lifetime']):?>
                                <button type="button" class="btn btn-sm btn-white" data-pricing="lifetime"><?php ee('Lifetime') ?></button>
                                <?php endif ?>
                                <?php if($settings['monthly']):?>
                                <button type="button" class="btn btn-sm btn-white active" data-pricing="monthly"><?php ee('Monthly') ?></button>
                                <?php endif ?>
                                <?php if($settings['yearly']):?>                            
                                <button type="button" class="btn btn-sm btn-white" data-pricing="yearly">
                                    <span><?php ee('Yearly') ?></span>
                                    <?php if($settings['discount']): ?>
                                        <span class="badge badge-danger border-0 badge-pill badge-floating">-<?php echo $settings['discount'] ?>%</span>
                                    <?php endif ?>
                                </button>
                                <?php endif ?>
                            </div>
                        </div>
                        <?php echo message() ?>
                        <div class="pricing row mt-5 no-gutters">
                            <?php foreach($plans as $id => $plan): ?>
                                <div class="<?php echo $class ?> price-table">
                                    <div class="card bg-section-primary card-pricing text-center mx-1">
                                        <div class="card-header py-5 border-0 delimiter-bottom">
                                            <span class="d-block h5 mb-4"><?php ee($plan['name']) ?></span>
                                            <div class="h1 text-center mb-0" data-pricing-monthly="<?php echo $plan['free'] ? e('Free') : \Helpers\App::currency(config('currency'), $plan["price_monthly"]) ?>" data-pricing-yearly="<?php echo $plan['free'] ? e('Free') : \Helpers\App::currency(config('currency'), $plan["price_yearly"]) ?>" data-pricing-lifetime="<?php echo  $plan['free'] ? e('Free') : \Helpers\App::currency(config('currency'), $plan["price_lifetime"]) ?>"><span class="price"><?php echo $plan['free'] ? e('Free') : \Helpers\App::currency(config('currency'), $plan["price_monthly"]) ?></span></div>
                                            <?php echo $plan['description'] ? '<span class="d-block text-muted mt-3">'.$plan['description'].'</span>': '' ?>
                                        </div>
                                        <div class="card-body table-inner">
                                            <ul class="feature-list">
                                                <li><i class="fa fa-check"></i> <span><?php echo e("Basic Features") ?></span></li>                            
                                                <li><i class="fa fa-check"></i> <span><strong><?php echo $plan["urls"]== "0" ? e("Unlimited") : $plan["urls"] ?></strong> <?php echo e("URLs allowed") ?></span></li>                
                                                <li><i class="fa fa-check"></i> <span><strong><?php echo $plan["clicks"]== "0" ? e("Unlimited") : $plan["clicks"] ?></strong> <?php echo e("Clicks per month") ?></span></li>                      
                                                <?php if ($plan["permission"]->splash->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><strong><?php echo ($plan["permission"]->splash->count == "0" ? e("Unlimited") : $plan["permission"]->splash->count)?></strong> <?php echo e("Custom Splash Pages"); ?></span></li>
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Custom Splash Pages"); ?></span></li>
                                                <?php endif ?>
                                                <?php if ($plan["permission"]->overlay->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><strong><?php echo ($plan["permission"]->overlay->count == "0" ? e("Unlimited") : $plan["permission"]->overlay->count)?></strong> <?php echo e("Custom Overlay Pages"); ?></span></li>
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Custom Overlay Pages"); ?></span></li>                    
                                                <?php endif ?>         
                                                <?php if ($plan["permission"]->pixels->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><strong><?php echo ($plan["permission"]->pixels->count == "0" ? e("Unlimited") : $plan["permission"]->pixels->count)?></strong> <?php echo e("Event Tracking"); ?></span></li>
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Event Tracking"); ?></span></li>                
                                                <?php endif ?>                 
                                                <?php if ($plan["permission"]->team->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><strong><?php echo ($plan["permission"]->team->count == "0" ? e("Unlimited") : $plan["permission"]->team->count) ?></strong>  <?php echo e("Team Member"); ?></span></li>
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Team Member"); ?></span></li>                
                                                <?php endif ?>                     
                                                <?php if ($plan["permission"]->domain->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><strong><?php echo ($plan["permission"]->domain->count == "0" ? e("Unlimited") : $plan["permission"]->domain->count)?></strong> <?php echo e("Custom Domains"); ?></span></li>
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Custom Domains"); ?></span></li> 
                                                <?php endif ?>   
                                                <?php if ($plan["permission"]->geo->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><?php echo e("Geotargeting"); ?></span></li>
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Geotargeting"); ?></span></li>
                                                <?php endif ?>
                                                <?php if ($plan["permission"]->device->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><?php echo e("Device Targeting"); ?></span></li>
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Device Targeting"); ?></span></li>
                                                <?php endif ?>                                                    
                                                <?php if (isset($plan["permission"]->alias->enabled) && $plan["permission"]->alias->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><?php echo e("Custom Aliases"); ?></span></li> 
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Custom Aliases") ?></span></li>
                                                <?php endif ?>    
                                                <?php if ($plan["permission"]->export->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><?php echo e("Export Data") ?></span></li> 
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Export Data"); ?></span></li>
                                                <?php endif ?>                 
                                                <?php if ($plan["permission"]->api->enabled): ?>
                                                    <li><i class="fa fa-check"></i> <span><?php echo e("Developer API"); ?></span></li>
                                                <?php else: ?>
                                                    <li class="disabled"><i class="fa fa-times"></i> <span><?php echo e("Developer API"); ?></span></li>
                                                <?php endif ?>                              
                                                <li><i class="fa fa-check"></i> <span><?php echo e("Limited URL Customization") ?></span></li>
                                                <li><i class="fa fa-check"></i> <span><?php echo e("Advertisement") ?></span></li>          
                                                <li>&nbsp;</li>
                                            </ul>
                                            <a href="<?php echo $plan['planurl'] ?>" class="btn btn-primary mb-3 shadow checkout"><?php echo $plan['plantext'] ?></a>
                                        </div>
                                    </div>
                                </div> 
                            <?php endforeach ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <div class="card card-default card-body">
                <div class="media">
                    <div class="media-left">
                    <i class="fa fa-star"></i>
                    </div>
                    <div class="media-body">
                    <h4><?php echo e("Custom Splash Pages") ?></h4>
                    <?php echo e("Create a custom landing page to promote your product or service on forefront and engage the user in your marketing campaign.") ?>
                    </div>
                </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card card-default card-body">
                <div class="media">
                    <div class="media-left">
                    <i class="fa fa-cloud"></i>
                    </div>
                    <div class="media-body">
                    <h4><?php echo e("Overlays") ?></h4>
                    <?php echo e("Use our overlay tool to display unobtrusive notifications on the target website. A perfect way to send a message to your customers or run a promotion campaign.") ?>
                    </div>
                </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card card-default card-body">
                <div class="media">
                    <div class="media-left">
                    <i class="fa fa-th"></i>
                    </div>
                    <div class="media-body">
                    <h4><?php echo e("Event Tracking") ?></h4>
                    <?php echo e("Add your custom pixel from providers such as Facebook and track events right when they are happening.") ?>
                    </div>
                </div>
                </div>                   
            </div>
            </div> 
    </div>    
</section>
<section class="slice slice-lg pt-8 bg-section-secondary">
    <div class="container">            
        <div class="row mb-5 justify-content-center text-center">
            <div class="col-lg-8 col-md-10">
                <h2 class="mt-4"><?php ee('Frequently Asked Questions') ?></h2>
            </div>
        </div>
        <div class="row">
            <?php foreach(\Helpers\App::pricingFaqs() as $i => $faq): ?>
                <?php if($i > 0 && $i % 2 == 0): ?>
                    </div>
                    <div class="row">
                <?php endif; ?>                
                <div class="col-xl-6">
                    <div id="<?php echo 'faq-holder-'.$faq->slug ?>" class="accordion accordion-spaced">
                        <div class="card">
                            <div class="card-header py-4" id="<?php echo $faq->slug ?>" data-toggle="collapse" role="button" data-target="#faq-<?php echo $faq->id ?>" aria-expanded="false" aria-controls="faq-<?php echo $faq->id ?>">
                                <h6 class="mb-0"><i data-feather="help-circle" class="mr-3"></i> <?php ee($faq->question) ?></h6>
                            </div>
                            <div id="faq-<?php echo $faq->id ?>" class="collapse" aria-labelledby="<?php echo $faq->slug ?>" data-parent="#<?php echo 'faq-holder-'.$faq->slug ?>">
                                <div class="card-body">
                                    <?php ee($faq->answer) ?>
                                </div>
                            </div>
                        </div>
                    </div>         
                </div>                  
            <?php endforeach ?> 
        </div>
    </div>
</section>